Уязвимость BDU:2021-01309

Дата: 07.03.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01309.

Наименование уязвимости: Уязвимость функции get_8bit_row (rdbmp.c) библиотеки программ libjpeg, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции get_8bit_row (rdbmp.c) библиотеки программ libjpeg связана с чтением за допустимыми границами буфера данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Fedora Project Fedora 28 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Debian GNU/Linux 10.0 | Операционная система АО «НПО РусБИТех» Astra Linux 2.12 «Орел» | Прикладное ПО информационных систем Independent JPEG Group libjpeg до 1.5.90 включительно | Прикладное ПО информационных систем Independent JPEG Group libjpeg до 3.3.1 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS 32-bit | Ubuntu 1804 LTS | Fedora 28 | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1904 | Debian GNU/Linux 100 | Astra Linux 212 «Орел» |
Дата выявления: 07.03.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:N/I:N/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,3)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Libjpeg:
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/9c78a04df4e44ef6487eee99c4258397f4fdca55

Для Debian:
Обновление программного обеспечения (пакета libjpeg-turbo) до 1:1.5.1-2+deb9u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета libjpeg-turbo) до 1:1.5.1-2+deb9u1 или более поздней версии

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/F7YP4QUEYGHI4Q7GIAVFVKWQ7DJMBYLU/

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4190-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-14498.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/9c78a04df4e44ef6487eee99c4258397f4fdca55
https://github.com/libjpeg-turbo/libjpeg-turbo/issues/258
https://github.com/mozilla/mozjpeg/issues/299
https://nvd.nist.gov/vuln/detail/CVE-2018-14498
https://security-tracker.debian.org/tracker/CVE-2018-14498
https://ubuntu.com/security/notices/USN-4190-1

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *